Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_PolicyListElement

    java.lang.Object
      oracle.ifs.server.S_LibraryObject
          oracle.ifs.server.S_TieLibraryObject
              oracle.ifs.server.S_SystemObject
                  oracle.ifs.server.S_TieSystemObject
                      oracle.ifs.server.S_PolicyListElement

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PolicyListElementInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  S_TiePolicyListElement

    public class S_PolicyListElement

extends S_TieSystemObject
implements PolicyListElementInterface

An S_PolicyListElement is the server-side representation of a PolicyListElement.

A PolicyListElement describes a name/value pair of varying datatype, that can be used for multiple purposes to store iFS values.

(Published)

Field Summary

Fields inherited from class oracle.ifs.server.S_LibraryObject
`CASCADE_OP_COPY_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_COPY_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_DELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_DELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_DELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_DELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_DELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_FREE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_FREE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_FREE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_FREE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_FREE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_FREE_SYSTEMOBJECT_TO_CATEGORY, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_FREE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_FREE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDEFINED, CASCADE_OP_UNDELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UPDATE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_UPDATE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SYSTEMOBJECT_TO_CATEGORY, DEFAULT_RENDERER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `S_PolicyListElement(S_LibrarySession ssession, java.lang.Long classId)` Constructs an S_PolicyListElement.
`protected` | `S_PolicyListElement(S_LibrarySession ssession, S_LibraryObjectData data)` Constructs an S_PolicyListElement.

Method Summary
`protected static S_PolicyListElement[]` | `constructPolicyListElementArray(S_LibrarySession sess, java.lang.Long[] ids)` Construct a PolicyListElement array from an array of object IDs.
`protected void` | `deriveDefinition(S_LibraryObjectDefinition def)` Modifies the S_LibraryObjectDefinition for this class.
`protected void` | `extendedPostInsert(OperationState opState, S_LibraryObjectDefinition sdef)` Performs validation after to an insert.
`protected void` | `extendedPreFree(OperationState opState, S_LibraryObjectDefinition def)` Performs validation before a free.
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition sdef)` Performs validation prior to an insert.
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition sdef)` Performs validation prior to an update .
`S_PolicyList` | `getParentPolicyList()` Returns the parent PolicyList for this element.
`S_Policy` | `getPolicy()` Returns the Policy referenced by this object.

Methods inherited from class oracle.ifs.server.S_SystemObject
`addCategory, cascadeFree, createCategories, extendedPostUpdate, getCategories, getCategories, getCategories, handleCascade, removeCategories, updateCategories, verifyCanCreate, verifyCanFree, verifyCanUpdate`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`applyValueDefault, associatedPostFree, associatedPostInsert, associatedPreInsert, cascadeCopy, cascadeUpdate, checkRequiredForInsert, checkSettable, clearArrayTypeAttributeValues, clonePublicObjectAttribute, constructIdArray, constructIdArray, copy, copy, copyVectorToLibraryObjectArray, createDefaultPolicyPropertyBundle, createDefaultPropertyBundle, createInstance, deleteRows, deriveOwnerUniqueName, deriveOwnerUniqueName, deriveUppercasedAttribute, determineClassDomain, determinePolicy, determinePolicy, determineValueDefault, determineValueDomain, dispose, DYNLockRows, equals, executePolicyOperation, extendedPostFree, extendedPreCopy, findPolicyFromPropertyBundleAv, free, free, getAttribute, getAttributeByUpperCaseName, getAuditCertificateName, getAuditDomainContext, getAuditEventFolderContext, getClassData, getClassId, getClassName, getClassObject, getData, getDefinition, getEffectivePolicyActionContexts, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getId, getLibraryConnection, getName, getObjectReferenceAttribute, getPropertyBundle, getPropertyValue, getResourceString, getResourceString, getService, getSession, getSessionInterface, getTraceLogger, handleEvent, hashCode, hasNameAttribute, insertReferenceAttributes, insertRow, insertRows, invalidateState, invokeOperation, invokePolicyMethod, isAuditCertificateSecured, isBroadcastCreateEventEnabled, isInstanceOf, issueCascade, isTraced, lockRows, postEvent, postEvent, postFree, postInsert, postUpdate, preFree, preInsert, preUpdate, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, toString, trace, update, updateRows, verifyCanGetContent, verifyCanSetContent, verifyCanSetPolicy, verifyWriteableTransactionInProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Constructor Detail

### S_PolicyListElement

    protected S_PolicyListElement(S_LibrarySession ssession,
                                  S_LibraryObjectData data)
                           throws IfsException

  Constructs an S_PolicyListElement.

  Parameters:
    `ssession` - the session
    `data` - the PolicyListElement data
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### S_PolicyListElement

    protected S_PolicyListElement(S_LibrarySession ssession,
                                  java.lang.Long classId)
                           throws IfsException

  Constructs an S_PolicyListElement.

  This variant is used for objects that have not yet been created in the database.

  Parameters:
    `ssession` - the session
    `classId` - the id of the class of the object being constructed
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### getParentPolicyList

    public S_PolicyList getParentPolicyList()
                                     throws IfsException

  Description copied from class: `S_PolicyListElement`
  Returns the parent PolicyList for this element.

  Returns:
    the PolicyList
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getPolicy

    public S_Policy getPolicy()
                       throws IfsException

  Description copied from class: `S_PolicyListElement`
  Returns the Policy referenced by this object.

  Returns:
    the referenced Policy
  Throws:
    `IfsException` - if the operation fails
  (Published)

### deriveDefinition

    protected void deriveDefinition(S_LibraryObjectDefinition def)
                             throws IfsException

  Description copied from class: `S_PolicyListElement`
  Modifies the S_LibraryObjectDefinition for this class.

  This is called by getDefinition() on S_LibraryObject. It must call super.deriveDefinition() before applying any class-specific changes to the S_LibraryObjectDefinition object.

  Overrides:
    `deriveDefinition` in class `S_SystemObject`
  Parameters:
    `def` - the S_LibraryObjectDefinition that contains the definition of the target object.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition sdef)
                              throws IfsException

  Description copied from class: `S_PolicyListElement`
  Performs validation prior to an insert.

  Overrides:
    `extendedPreInsert` in class `S_SystemObject`
  Parameters:
    `opState` - current operation state
    `sdef` - the definition of the Property being created
  Throws:
    `IfsException` - (IFS-31600) if no values were specified
  (Published)

### extendedPostInsert

    protected void extendedPostInsert(OperationState opState,
                                      S_LibraryObjectDefinition sdef)
                               throws IfsException

  Description copied from class: `S_PolicyListElement`
  Performs validation after to an insert.

  Overrides:
    `extendedPostInsert` in class `S_SystemObject`
  Parameters:
    `opState` - current operation state
    `sdef` - the definition of the Property being created
  Throws:
    `IfsException` - (IFS-31600) if no values were specified
  (Published)

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition sdef)
                              throws IfsException

  Description copied from class: `S_PolicyListElement`
  Performs validation prior to an update .

  Overrides:
    `extendedPreUpdate` in class `S_SystemObject`
  Parameters:
    `opState` - the operation state
    `sdef` - the definition of the Property being updated
  Throws:
    `IfsException` - (IFS-31600) if no values were specified
  (Published)

### extendedPreFree

    protected void extendedPreFree(OperationState opState,
                                   S_LibraryObjectDefinition def)
                            throws IfsException

  Description copied from class: `S_PolicyListElement`
  Performs validation before a free.

  Overrides:
    `extendedPreFree` in class `S_LibraryObject`
  Parameters:
    `opState` - operation state
    `def` - the server-side definition
  Throws:
    `IfsException` - if operation fails
  (Published)

### constructPolicyListElementArray

    protected static S_PolicyListElement[] constructPolicyListElementArray(S_LibrarySession sess,
                                                                           java.lang.Long[] ids)
                                                                    throws IfsException

  Description copied from class: `S_PolicyListElement`
  Construct a PolicyListElement array from an array of object IDs.

  Parameters:
    `sess` - the requesting session
    `ids` - the array of object IDs
  Returns:
    the array of S_PolicyListElements
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD